import { BaseCommand } from './base.js';
/**
 * Defines the core functionalities of 'init' command
 */
export declare class InitCommand extends BaseCommand {
    /** Executes the init CLI command */
    init(argv: any): Promise<boolean>;
    /**
     * Return Yargs command definition for 'init' command
     * @returns A object representing the Yargs command definition
     */
    getCommandDefinition(): {
        command: string;
        desc: string;
        builder: (y: any) => void;
        handler: (argv: any) => void;
    };
    close(): Promise<void>;
}
